Revoke an API client
curl --request DELETE \
--url https://api.siro.ai/v1/core/m2m-clients/{organizationId}/{clientId} \
--header 'x-siro-auth-token: <api-key>'import requests
url = "https://api.siro.ai/v1/core/m2m-clients/{organizationId}/{clientId}"
headers = {"x-siro-auth-token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-siro-auth-token': '<api-key>'}};
fetch('https://api.siro.ai/v1/core/m2m-clients/{organizationId}/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"clientId": "<string>"
},
"cursor": "<string>",
"pageSize": 123,
"limit": 123,
"total": 123,
"hasNextPage": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"issues": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>",
"expected": "<string>",
"received": "<string>"
}
],
"name": "ZodError"
}{
"error": "<string>"
}Client apps
Revoke an API client
Revokes the client and all of its secrets immediately. This cannot be undone.
DELETE
/
v1
/
core
/
m2m-clients
/
{organizationId}
/
{clientId}
Revoke an API client
Revokes a client app and all of its secrets immediately. This cannot be undone.
Authorizations
Access token from POST https://auth.siro.ai/oauth2/token (client_credentials), or a Siro OAuth access token. Send x-siro-auth-token: <access-token>.
Path Parameters
The organization this client belongs to.
The id of the API client.